package param

// Login 用户登录入参
type Login struct {
	VerifyId   string `json:"verifyId" form:"verifyId"`                    // 验证Id
	VerifyCode string `json:"verifyCode" form:"verifyCode"`                // 验证码
	Username   string `json:"username" form:"username" binding:"required"` // 邮箱或手机号
	Password   string `json:"password" form:"password"`                    // 密码
	Code       string `json:"code" form:"code"`                            // 微信小程序登录code
}

// RefreshToken 刷新Token入参
type RefreshToken struct {
	RefreshToken string `json:"refresh_token" form:"refresh_token" binding:"required"` // 刷新Token
	GrantType    string `json:"grant_type" form:"grant_type" binding:"required"`       // 授权类型,写refresh_token
}

// DecryptMobile 解密用户手机号入参
type DecryptMobile struct {
	SessionKey    string `json:"sessionKey" form:"sessionKey"`                          // sessionKey
	EncryptedData string `json:"encryptedData" form:"encryptedData" binding:"required"` // 加密数据
	Iv            string `json:"iv" form:"iv" binding:"required"`                       // 加密算法的初始向量
}
